For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer

Get customer information

get

Retrieve customer information associated with the specified customer key.

Path parameters
customerKeystringRequired

Unique identifier of the customer.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
200

ok

Payload

payloadTypestringOptional

Type of payload returned in the response.

Example: customers
get/rest/v2/customers/{customerKey}
GET /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Accept: */*
{
  "customers": {
    "customer": [
      {
        "email": "test@test.com",
        "phone": "444-444-4444",
        "comments": "my fav customer",
        "metadata": "any additional properties [ \"any additional property\": \"value\"]",
        "customer-key": "custID-88839992-223838-023333",
        "first-name": "John",
        "last-name": "Doe",
        "billing-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "shipping-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "links": {
          "link": [
            {
              "rel": "transaction",
              "href": "/rest/v2/transactions?id=846512",
              "id": "846512"
            }
          ]
        }
      }
    ]
  },
  "payloadType": "customers"
}

Update customer

put

Update customer details in an existing customer record identified by the unique customer key.

Path parameters
customerKeystringRequired

Unique identifier of the customer.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Represents a recurring billing customer profile.

emailstringOptional

Email address associated with the customer.

Example: test@test.com
phonestringOptional

Primary phone number of the customer.

Example: 444-444-4444
commentsstringOptional

Additional comments associated with the customer profile.

Example: my fav customer
customer-keystringOptional

A unique identifier defined to reference the customer in external systems.

Example: custID-88839992-223838-023333
first-namestringRequired

Customer's first name.

Example: John
last-namestringRequired

Customer's last name.

Example: Doe
Responses
200

ok

Payload

payloadTypestringOptional

Type of payload returned in the response.

Example: customers
put/rest/v2/customers/{customerKey}
PUT /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 794

{
  "email": "test@test.com",
  "phone": "444-444-4444",
  "comments": "my fav customer",
  "metadata": "any additional properties [ \"any additional property\": \"value\"]",
  "customer-key": "custID-88839992-223838-023333",
  "first-name": "John",
  "last-name": "Doe",
  "billing-address": {
    "company": "Test Company",
    "street": "123 Example Street",
    "street2": "Suite 700",
    "city": "St Louis",
    "state": "MO",
    "zip": "85284",
    "country": "United States",
    "phone": "3148889999",
    "first-name": "John",
    "last-name": "Doe"
  },
  "shipping-address": {
    "company": "Test Company",
    "street": "123 Example Street",
    "street2": "Suite 700",
    "city": "St Louis",
    "state": "MO",
    "zip": "85284",
    "country": "United States",
    "phone": "3148889999",
    "first-name": "John",
    "last-name": "Doe"
  },
  "links": {
    "link": [
      {
        "rel": "transaction",
        "href": "/rest/v2/transactions?id=846512",
        "id": "846512"
      }
    ]
  }
}
{
  "customers": {
    "customer": [
      {
        "email": "test@test.com",
        "phone": "444-444-4444",
        "comments": "my fav customer",
        "metadata": "any additional properties [ \"any additional property\": \"value\"]",
        "customer-key": "custID-88839992-223838-023333",
        "first-name": "John",
        "last-name": "Doe",
        "billing-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "shipping-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "links": {
          "link": [
            {
              "rel": "transaction",
              "href": "/rest/v2/transactions?id=846512",
              "id": "846512"
            }
          ]
        }
      }
    ]
  },
  "payloadType": "customers"
}

Delete customer

delete

Delete the existing customer record identified by the unique customer key, only if no plans or payments are associated with the customer.

Path parameters
customerKeystringRequired

Unique identifier of the customer.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
401

Unauthorized

Payload

payloadTypestringOptional

Type of payload returned in the response.

Example: error
delete/rest/v2/customers/{customerKey}
DELETE /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Accept: */*
{
  "error": {
    "error-message": "text",
    "result-code": "1",
    "time-stamp": "2025-10-23T03:06:37.237Z"
  },
  "payloadType": "error"
}

Search customers

get

Retrieve the list of customers using search criteria.

Query parameters
customer-keystringOptional

Unique identifier assigned to the customer.

first-namestringOptional

First name of the customer.

last-namestringOptional

Last name of the customer.

last-fourstringOptional

Last four digits of the customer's card number.

exp-datestringOptional

Expiration date of the customer's card. Format: MMYY.

emailstringOptional

Email address associated with the customer.

phone-numberstringOptional

Phone number associated with the customer.

plan-namestringOptional

Name of the recurring payment plan associated with the customer.

pageintegerOptional

Specifies the page number of results to return when pagination is applied.

page-sizeintegerOptional

Specifies the number of results to return per page.

descendingboolean · enumOptional

Determines the sort order of the results. Set to true for descending order. Default is true.

Possible values:
order-bystring · enumOptional

Used to sort the results.

Possible values:
Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
200

ok

Payload

payloadTypestringOptional

Type of payload returned in the response.

Example: customers
get/rest/v2/customers
GET /rest/v2/customers HTTP/1.1
api-key: text
Accept: */*
{
  "customers": {
    "customer": [
      {
        "email": "test@test.com",
        "phone": "444-444-4444",
        "comments": "my fav customer",
        "metadata": "any additional properties [ \"any additional property\": \"value\"]",
        "customer-key": "custID-88839992-223838-023333",
        "first-name": "John",
        "last-name": "Doe",
        "billing-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "shipping-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "links": {
          "link": [
            {
              "rel": "transaction",
              "href": "/rest/v2/transactions?id=846512",
              "id": "846512"
            }
          ]
        }
      }
    ]
  },
  "payloadType": "customers"
}

Create customer

post

Create a customer to set up a recurring payment plan.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Represents a recurring billing customer profile.

emailstringOptional

Email address associated with the customer.

Example: test@test.com
phonestringOptional

Primary phone number of the customer.

Example: 444-444-4444
commentsstringOptional

Additional comments associated with the customer profile.

Example: my fav customer
customer-keystringOptional

A unique identifier defined to reference the customer in external systems.

Example: custID-88839992-223838-023333
first-namestringRequired

Customer's first name.

Example: John
last-namestringRequired

Customer's last name.

Example: Doe
Responses
200

ok

Payload

payloadTypestringOptional

Type of payload returned in the response.

Example: customers
post/rest/v2/customers
POST /rest/v2/customers HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 794

{
  "email": "test@test.com",
  "phone": "444-444-4444",
  "comments": "my fav customer",
  "metadata": "any additional properties [ \"any additional property\": \"value\"]",
  "customer-key": "custID-88839992-223838-023333",
  "first-name": "John",
  "last-name": "Doe",
  "billing-address": {
    "company": "Test Company",
    "street": "123 Example Street",
    "street2": "Suite 700",
    "city": "St Louis",
    "state": "MO",
    "zip": "85284",
    "country": "United States",
    "phone": "3148889999",
    "first-name": "John",
    "last-name": "Doe"
  },
  "shipping-address": {
    "company": "Test Company",
    "street": "123 Example Street",
    "street2": "Suite 700",
    "city": "St Louis",
    "state": "MO",
    "zip": "85284",
    "country": "United States",
    "phone": "3148889999",
    "first-name": "John",
    "last-name": "Doe"
  },
  "links": {
    "link": [
      {
        "rel": "transaction",
        "href": "/rest/v2/transactions?id=846512",
        "id": "846512"
      }
    ]
  }
}
{
  "customers": {
    "customer": [
      {
        "email": "test@test.com",
        "phone": "444-444-4444",
        "comments": "my fav customer",
        "metadata": "any additional properties [ \"any additional property\": \"value\"]",
        "customer-key": "custID-88839992-223838-023333",
        "first-name": "John",
        "last-name": "Doe",
        "billing-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "shipping-address": {
          "company": "Test Company",
          "street": "123 Example Street",
          "street2": "Suite 700",
          "city": "St Louis",
          "state": "MO",
          "zip": "85284",
          "country": "United States",
          "phone": "3148889999",
          "first-name": "John",
          "last-name": "Doe"
        },
        "links": {
          "link": [
            {
              "rel": "transaction",
              "href": "/rest/v2/transactions?id=846512",
              "id": "846512"
            }
          ]
        }
      }
    ]
  },
  "payloadType": "customers"
}

Last updated

Was this helpful?